Manuel PHP
Précédent |  | Suivant

# DOMText->__construct()

DOMText->__construct() -- Creates a new DOMText object

## Description

class DOMText {
__construct ( [string value] )
}

Creates a new DOMText object.

## Liste de paramètres

value

  The value of the text node. If not supplied an empty text node is created.

## Exemples

Exemple 1. Creating a new DOMText
`<?php $dom = new DOMDocument('1.0', 'iso-8859-1'); $element = $dom->appendChild(new DOMElement('root')); $text = $element->appendChild(new DOMText('root value')); echo $dom->saveXML(); /* <?xml version="1.0" encoding="iso-8859-1"?><root>root value</root> */ ?>`

## Voir aussi

DOMDocument->createTextNode()

Précédent | Sommaire | Suivant
DOMProcessingInstruction->__construct() | Niveau supérieur | DOMText->isWhitespaceInElementContent()